/**
 * UPLOAD COMPONENT
 * Componente per il caricamento file
 */
.rtds-upload__button:focus-visible {
    --tw-shadow: 0 0 0 7px rgba(255,255,255,1);
    --tw-shadow-colored: 0 0 0 7px var(--tw-shadow-color);
    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
    outline: 2px solid transparent;
    outline-offset: 2px;
    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);
    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(3px + var(--tw-ring-offset-width)) var(--tw-ring-color);
    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);
    --tw-ring-color: var(--color-focusring);
    --tw-ring-offset-width: 2px;
    --tw-ring-offset-color: #ffffff;
}
.rtds-upload__input:focus + .rtds-upload__button,
  .rtds-upload__input:focus-visible + .rtds-upload__button {
    --tw-shadow: 0 0 0 7px rgba(255,255,255,1);
    --tw-shadow-colored: 0 0 0 7px var(--tw-shadow-color);
    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
    outline: 2px solid transparent;
    outline-offset: 2px;
    --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);
    --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(3px + var(--tw-ring-offset-width)) var(--tw-ring-color);
    box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);
    --tw-ring-color: var(--color-focusring);
    --tw-ring-offset-width: 2px;
    --tw-ring-offset-color: #ffffff;
}
.rtds-upload__description {
    text-align: center;
    font-size: var(--fontsize-text-sm);
        color: var(--color-content-03);
}
@media (min-width: 768px) {
    .rtds-upload__description {
        font-size: var(--fontsize-text-base);
    }
}
/* Lista file - Struttura ul/li */
.rtds-upload__file-list {
    margin: var(--spacing-0);
    list-style-type: none;
}
.rtds-upload__file-list > :not([hidden]) ~ :not([hidden]) {
    --tw-space-y-reverse: 0;
    margin-top: calc(var(--spacing-3) * calc(1 - var(--tw-space-y-reverse)));
    margin-bottom: calc(var(--spacing-3) * var(--tw-space-y-reverse));
}
.rtds-upload__file-list {
    padding: var(--spacing-0);
}
